# `CUDA_Runtime_jll.jl` (v0.11.0+0)

[![deps](https://juliahub.com/docs/CUDA_Runtime_jll/deps.svg)](https://juliahub.com/ui/Packages/CUDA_Runtime_jll/Hs50y?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/de73b061be6fb6ed0ea62b76f3074674260cb813/C/CUDA/CUDA_Runtime/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `CUDA_Runtime_jll.jl` have been built from these sources:

* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cudart/windows-x86_64/cuda_cudart-windows-x86_64-12.3.101-archive.zip (SHA256 checksum: `310a71bc9c92d6e61eeddf3489cc195519665fbfaca16c618b03da0ac5ea9f7d`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cupti/windows-x86_64/cuda_cupti-windows-x86_64-12.3.101-archive.zip (SHA256 checksum: `fb57c570cbd71c167d8b4227508b39bdf8d2e79a38ba6f669217045d774df027`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/windows-x86_64/cuda_nvcc-windows-x86_64-12.3.103-archive.zip (SHA256 checksum: `8be94b093fc7c46b1e0a995c19d144c6cdebefb3040fa9ec6aa4dcba1a037d55`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvrtc/windows-x86_64/cuda_nvrtc-windows-x86_64-12.3.103-archive.zip (SHA256 checksum: `1638e76e3b22c3bcb96d63513c1152388b89037906a5bc45d23b6eba19b50da1`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvdisasm/windows-x86_64/cuda_nvdisasm-windows-x86_64-12.3.101-archive.zip (SHA256 checksum: `e4f984462be44e897d8e56382b5e18091d447ba46c0b325916dae197ac73007e`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_sanitizer_api/windows-x86_64/cuda_sanitizer_api-windows-x86_64-12.3.101-archive.zip (SHA256 checksum: `8674b7e74d20ec9dc7566b9fa72a8ff1b4713c400000021d81d10e7497bc86d8`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcublas/windows-x86_64/libcublas-windows-x86_64-12.3.4.1-archive.zip (SHA256 checksum: `e29c419a99a2f5e3ea0e7394a58c23536429a26b7eccc3f89f172f7fd2818a23`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcufft/windows-x86_64/libcufft-windows-x86_64-11.0.12.1-archive.zip (SHA256 checksum: `c961016efe08da23f481f76efd8be0c2767496aaa7afead51789460ebac81cee`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcurand/windows-x86_64/libcurand-windows-x86_64-10.3.4.101-archive.zip (SHA256 checksum: `9f91838c47686e9510d71b05b61661d9026292fabbf7481c6d0aa56dc46a4b61`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusolver/windows-x86_64/libcusolver-windows-x86_64-11.5.4.101-archive.zip (SHA256 checksum: `698149cd3bbd09ac8c426f95a7598d84e62f4452cde13c1d29f707f8091047b9`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusparse/windows-x86_64/libcusparse-windows-x86_64-12.2.0.103-archive.zip (SHA256 checksum: `1913315cc0cf73dff68266cd130c67884615ac410d92fa97f1726f71ff7c5a29`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libnvjitlink/windows-x86_64/libnvjitlink-windows-x86_64-12.3.101-archive.zip (SHA256 checksum: `05de293d0f8bb2c23fc5953ae725d2281bca7ddc2971ada55de246265ecc5842`)

## Platforms

`CUDA_Runtime_jll.jl` is available for the following platforms:

* `Windows x86_64 {cuda=12.3}` (`x86_64-w64-mingw32-cuda+12.3`)

## Dependencies

The following JLL packages are required by `CUDA_Runtime_jll.jl`:

* [`CUDA_Driver_jll`](https://github.com/JuliaBinaryWrappers/CUDA_Driver_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcublas`
* `LibraryProduct`: `libcublasLt`
* `FileProduct`: `libcudadevrt`
* `LibraryProduct`: `libcudart`
* `LibraryProduct`: `libcufft`
* `LibraryProduct`: `libcupti`
* `LibraryProduct`: `libcurand`
* `LibraryProduct`: `libcusolver`
* `LibraryProduct`: `libcusolverMg`
* `LibraryProduct`: `libcusparse`
* `LibraryProduct`: `libnvJitLink`
* `LibraryProduct`: `libnvperf_host`
* `LibraryProduct`: `libnvrtc`
* `LibraryProduct`: `libnvrtc_builtins`
* `LibraryProduct`: `libnvvm`
* `ExecutableProduct`: `compute_sanitizer`
* `FileProduct`: `libdevice`
* `LibraryProduct`: `libnvperf_target`
* `ExecutableProduct`: `nvdisasm`
* `ExecutableProduct`: `nvlink`
* `ExecutableProduct`: `ptxas`
